##
# DBM::Deep Test
##
use strict;
use Test::More tests => 4;
use Test::Exception;
use t::common qw( new_fh );

use_ok( 'DBM::Deep' );

my ($fh, $filename) = new_fh();
my $db = DBM::Deep->new( $filename );

$db->{foo} = '1234';

my $size = -s $filename;
$db->{foo} = '2345';
cmp_ok( $size, '==', -s $filename, "Overwrite doesn't change size" );

$size = -s $filename;
delete $db->{foo};
cmp_ok( $size, '==', -s $filename, "Deleted space isn't released" );

$size = -s $filename;
$db->{bar} = '2345';
cmp_ok( $size, '==', -s $filename, "Added a new key after a delete reuses space" );
